Vtiful\Kernel\Format align

- « Vtiful\Kernel\Format

- Vtiful\Kernel\Format::bold »

- PHP Manual
- Vtiful\Kernel\Format
- Vtiful\Kernel\Format align

# Vtiful\Kernel\Format::align

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Format::align — Vtiful\Kernel\Format align

### Description

public Vtiful\Kernel\Format::align(resource `$handle`, int `$style`)

set cell align

### Parameters

`handle`

  xlsx file handle

`style`

  Vtiful\Kernel\Format constant

### Return Values

Resource

### Examples

Example #1 Align style example

    <?php
    $config = [
        'path' => './tests'
    ];

    $excel = new \Vtiful\Kernel\Excel($config);
    $excel->fileName('tutorial01.xlsx');

    $format = new \Vtiful\Kernel\Format($excel->getHandle());
    $alignStyle = $format->align(\Vtiful\Kernel\Format::FORMAT_ALIGN_LEFT)->toResource();

    $excel->header(['name', 'age'])
        ->data([['viest', 21]])
        ->setColumn('A:A', 200, $alignStyle)
        ->output();
    ?>